Bug 3811 - [UPDATE REQUEST] [UPSTREAM UPDATE] librsvg2
: [UPDATE REQUEST] [UPSTREAM UPDATE] librsvg2
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-25 16:44 MSK by Andrew Lukoshko
Modified: 2014-03-10 19:36 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2014-02-25 16:44:34 MSK
An XML External Entity expansion flaw was found in the way librsvg2 processed SVG files. If a user were to open a malicious SVG file, a remote attacker could possibly obtain a copy of the local resources that the user had access to. (CVE-2013-1881)

http://rhn.redhat.com/errata/RHSA-2014-0127.html

https://abf.rosalinux.ru/build_lists/1658395
https://abf.rosalinux.ru/build_lists/1658396
Comment 1 Vladimir Potapov 2014-02-27 14:08:12 MSK
librsvg2-2.26.0-6.res6.3
http://abf-downloads.rosalinux.ru/rosa-server65/container/1658395/
http://abf-downloads.rosalinux.ru/rosa-server65/container/1658396/
**************************** RHEL Advisory **************************
An XML External Entity expansion flaw was found in the way librsvg2 processed SVG files. If a user were to open a malicious SVG file, a remote attacker could possibly obtain a copy of the local resources that the user had access to. (CVE-2013-1881)
*********************************************************************
QA Verified